Subject: bug#17411: 24.4.50; emacs_backtrace.txt

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 May 2014 15:32:13 -0400

>> > So I think the only practical way of obtaining this information is to
>> > add eassert's that will tell you which one is it.
>> But I don't know what to add where, at this point.
> Maybe I misunderstood.  You said:
>> It might also be interesting to look at `i' to see whether it's
>> hopelessly messed up, or if it looks "incorrect but sanish".
> So I thought about an eassert that will catch something "hopelessly
> messed up", for example.

The "eassert (length (i) > 0)" does catch this case already.  We could
add another assert which is looser (i.e. one that would not be caught by
a "somewhat sane interval with a non-positive length"), but I'm not sure
how to formally define "hopelessly messed up".

        Stefan